LoggingPermission (Java SE 25 & JDK 25)
Description: declaration: module: java.logging, package: java.util.logging, class: LoggingPermission
Keywords: java.util.logging.LoggingPermission class

# Class LoggingPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.util.logging.LoggingPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class LoggingPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
This class is for logging permissions. Currently there is only one LoggingPermission named "control".

Since:
  1.4
See Also:
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - `SecurityManager`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingPermission(String name, String actions)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a new LoggingPermission object.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class Permission

  `checkGuard, getName, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LoggingPermission

    public LoggingPermission(String name, String actions) throws IllegalArgumentException
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a new LoggingPermission object.
    Parameters:
      `name` - Permission name. Must be "control".
      `actions` - Must be either null or the empty string.
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty or if arguments are invalid.